curl --request POST \
--url https://api.fairground.fi/fill_history_service.v1.FillHistoryService/GetUserFills \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "<string>",
"startTime": "2023-01-15T01:30:15.01Z",
"endTime": "2023-01-15T01:30:15.01Z",
"limit": 123,
"offset": 123
}
'import requests
url = "https://api.fairground.fi/fill_history_service.v1.FillHistoryService/GetUserFills"
payload = {
"address": "<string>",
"startTime": "2023-01-15T01:30:15.01Z",
"endTime": "2023-01-15T01:30:15.01Z",
"limit": 123,
"offset": 123
}
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
address: '<string>',
startTime: '2023-01-15T01:30:15.01Z',
endTime: '2023-01-15T01:30:15.01Z',
limit: 123,
offset: 123
})
};
fetch('https://api.fairground.fi/fill_history_service.v1.FillHistoryService/GetUserFills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fills": [
{
"fillId": "0x-abc123...-2",
"sequenceId": "48213002",
"timestamp": "2026-07-11T14:32:07Z",
"txHash": "0x-abc123...",
"marketId": "1",
"market": "BTC-PERP",
"tradeType": "EXECUTION_TYPE_TRADE",
"side": "SIDE_LONG",
"owner": "0x71c7656ec7ab88b098defb751b7401b5f6d8976",
"orderId": "48213",
"positionId": "48213",
"reduceOnly": false,
"size": "0.061500",
"price": "65000.500000",
"quoteNotional": "3997.780750",
"fees": {
"amount": "1.80",
"asset": "USDC"
},
"rebates": {
"amount": "0.00",
"asset": "USDC"
},
"positionSizeBefore": "0.000000",
"positionSizeAfter": "0.061500"
}
]
}GetUserFills
Returns individual trade-history records (fills) for one wallet, optionally scoped to a time range. Results are ordered oldest first (ascending by block time).
limit defaults to 100 and is capped at 500.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Define the version of the Connect protocol. If omitted, use 1.
1 Define the timeout, in ms
Body
Wallet address to fetch fills for. A blank value returns INVALID_ARGUMENT.
Optional inclusive lower bound on fill time. Omit to start from the earliest fill.
"2023-01-15T01:30:15.01Z"
Optional exclusive upper bound on fill time. Omit to include up to the most recent fill.
"2023-01-15T01:30:15.01Z"
Maximum number of fills to return. Defaults to 100 when omitted; capped at 500.
Number of matching fills to skip before collecting results. Defaults to 0.
Response
Success
Matching fills, ordered oldest first.
Show child attributes
Show child attributes